## sugar 0.106.1

=== debian/changelog ===
sugar (0.106.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update licensing info:
    + Merge pseudo-derived licenses (Use License-Grant to indicate
      difference in verbatim text).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Sep 2015 16:41:49 +0200

sugar (0.106.0-2) unstable; urgency=medium

  * Recommend/depend on (not suggest/recommend) Read activity: Available
    and up-to-date in testing.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jul 2015 13:42:56 +0200

sugar (0.106.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jul 2015 21:01:49 -0500

sugar (0.105.3-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  (0.104.1-13 changes partly re-applied)
  (0.104.1-14 changes re-applied)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Jul 2015 15:19:44 -0500

sugar (0.105.2-2) experimental; urgency=medium

  (0.104.1-12 changes re-applied)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2015 13:16:06 -0500

sugar (0.105.2-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Stop have sugar-session depend on gir1.2-networkmanager-1.0: No
      longer needed.
    + Have python-jarabe depend on policykit-1: Needed for new
      brightness helper tools.
  * Update copyright info:
    + Extend coverage for main upstream authors.
  (0.104.1-13 changes partly re-applied)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2015 15:16:45 -0500

sugar (0.104.1-14) unstable; urgency=medium

  * Update package relations:
    + Relax to suggest/recommend (not recommend/depend on) Calculate
      activity: Uses deprecated Glucose parts.
    + Have sucrose recommend ttf-dejavu-extra: Suggested by
      sugar-toolkit-gtk3.
    + Have sucrose recommend suggestions of Fructose parts.
  * Relax watch file to cover any compression suffix.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Fix track only current branch.
  * Update copyright info: Merge same-licensed Files sections.
  * Fix rename locale aym→ay: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Jul 2015 11:47:51 -0500

sugar (0.104.1-13) unstable; urgency=medium

  * Drop branch from source and binary package.
  * Update package relations:
    + Recommend/depend on Glucose parts (i.e. core libraries) unbranched
      but at least current branch.
    + Suggest/recommend/depend on Fructose (i.e. core activities)
      unbranched.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jun 2015 10:51:25 -0500

sugar-0.104 (0.104.1-12) unstable; urgency=medium

  * Update package relations:
    + Have sugar-session provide virtual x-session-manager.
    + Have python-jarabe provide virtual notification-daemon.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2015 18:44:10 -0500

sugar-0.104 (0.104.1-11) unstable; urgency=medium

  * Adapt packaging in maintainer mode when targeting experimental:
    + Switch git packaging branch.
    + Track any release (else only current branch).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jun 2015 20:20:19 -0500

sugar-0.104 (0.104.1-10) unstable; urgency=medium

  * Update package relations:
    + Have sugar-session-* recommend (and sucrose-* depend on)
      sugar-log-activity (not suggest branch-sufficed one).
  * Modernize short and long descriptions.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Modernize git-buildpackage config: Avoid "git-" prefix.
  * Drop obsolete DM-Upload-Allowed field from control file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jun 2015 12:46:10 -0500

sugar-0.104 (0.104.1-9) unstable; urgency=medium

  * Update package relations:
    + Have sucrose-* recommend suggestions of python-sugar3.
    + Have sugar-session-* recommend mobile-broadband-provider-info.
    + Fix avoid sucrose-* depend on non-Sucrose helper packages already
      recommended by other Sucrose packages (as intended in 0.104.1-5).
    + Fix have python-jarabe-* recommend gconf2.
    + Fix stop have sucrose-* recommend subversion: Unused in
      sugar-toolkit* since ~2008.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 20:44:27 +0200

sugar-0.104 (0.104.1-8) unstable; urgency=medium

  * Update package relations:
    + Have sugar-session-* recommend (and sucrose-* depend on)
      sugar-*-themes (not sugar-artwork-*).
    + Have sucrose-* recommend deprecated gtk2-engines-sugar-*.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 12:33:25 +0200

sugar-0.104 (0.104.1-7) experimental; urgency=medium

  * Update package relations:
    + Have sucrose-* recommend deprecated Glucose parts
      python-sugar-toolkit-* python-sugar-*, with non-branch fallbacks.
  * Move packaging to Debian Sugar Team.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Apr 2015 17:46:51 +0200

sugar-0.104 (0.104.1-6) experimental; urgency=medium

  * Tighten relation with Browse and Chat activities: Now working with
    0.104 branch.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2015 03:10:36 +0200

sugar-0.104 (0.104.1-5) experimental; urgency=medium

  * Update package relations:
    + Fix have only python-jarabe-* (not also sugar-session-*) recommend
      python-carquinyol-*.
    + Relax sucrose-* to recommend (not depend on) non-Sucrose helper
      packages.
    + Have sucrose-* recommend olpc-powerd.
  * Mark sucrose-* as metapackage.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Apr 2015 10:04:45 +0200

sugar-0.104 (0.104.1-4) experimental; urgency=medium

  * Drop binary package sugar-tools-*: Merge with sugar-session-*.
  * Update package relations:
    + Fix have sugar-session-* provide virtual sugar-session (broken
      since 0.90.2-2).

