=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2007-2010, 2012, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2007-2010, 2012, 2015-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for sugar
 #
 # This program is free software; you can redistribute it and/or
@@ -35,12 +35,8 @@
 #  * Switch git packaging branch
 #  * Track any release (else only current branch)
 ifneq (,$(DEB_MAINTAINER_MODE))
-experimental := $(strip $(if \
-	$(shell dpkg-parsechangelog \
-		| grep -x 'Distribution: \(experimental\|UNRELEASED\)'),\
-	yes))
-watch-limit = $(if $(experimental),,$(pkgbranch)\\.)
-debian-branch = $(if $(experimental),master,master-$(pkgbranch))
+watch-limit = $(if $(DEB_SUITE_EXP),,$(pkgbranch)\\.)
+debian-branch = $(if $(DEB_SUITE_EXP),master,master-$(pkgbranch))
 clean::
 	perl -i -pe 's/\([\d.\\]*\.\*\)/($(watch-limit).*)/' \
 		debian/watch
@@ -53,11 +49,8 @@
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.xz
 
 # Suppress unneeded auto-resolved build-dependency on python-dev
-CDBS_BUILD_DEPENDS_class_python-autotools_python = python
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+#  * TODO: drop cdbs_python_binary fallback when cdbs 0.4.150 is stable
+CDBS_BUILD_DEPENDS_class_python-sugar_python = $(or $(cdbs_python2_defaultruntime),$(cdbs_python_binary))
 
 # Needed by upstream build process
 bdeps = libgtk-3-dev, libglib2.0-dev, python-gtk2-dev, libgconf2-dev
@@ -86,7 +79,7 @@
 #  * network-manager (NM_SERVICE) used in extensions and jarabe
 #    + modemmanager (NM_DEVICE_TYPE_MODEM) used in extensions and jarabe
 #    + avahi-autoipd (NM_802_11_MODE_ADHOC) used in jarabe
-#  * dbus-x11 (bus.get_object) used in bin/sugar-launch, exensions and jarabe
+#  * dbus-session-bus (bus.get_object) used in bin/sugar-launch, bin/sugar-erase-bundle, exensions and jarabe
 #    + python-carquinyol (org.laptop.sugar.DataStore) used in jarabe
 #    + upower (org.freedesktop.UPower) used in extensions
 #    + consolekit (org.freedesktop.ConsoleKit)
@@ -106,30 +99,32 @@
 #  * fonts-dejavu-core (Sans Serif) used in data/sugar.schemas
 #  * mobile-broadband-provider-info used in extensions
 #  * policykit-1 (pkexec) used in jarabe.model.brightness
-#  * TODO: Tighten to recommend / depend on Maliit when mature
+#  TODO: Tighten to recommend / depend on Maliit when mature
+#  TODO: Drop dbus-x11 fallback after stretch+1
 python-depends-session = sugar3 jarabe dbus cairo
 gir-depends-session = glib-2.0 gtk-3.0 pango-1.0 gconf-2.0 xkl-1.0
-gir-depends-session += nmgtk-1.0 gudev-1.0
+gir-depends-session += nmgtk-1.0 gudev-1.0 upowerglib-1.0
 depends-session = $(patsubst %,$(comma) python-%,$(python-depends-session))
 depends-session +=, $(patsubst %,$(comma) gir1.2-%,$(gir-depends-session))
 depends-session +=, sugar-themes (>= $(pkgbranch))
 python-depends-jarabe = sugar3 gwebsockets cairo dbus telepathy xapian
 gir-depends-jarabe = gdkpixbuf-2.0 glib-2.0 gtk-3.0 gtksource-3.0
 gir-depends-jarabe += gstreamer-1.0 wnck-3.0 sugarext-1.0 pango-1.0
-gir-depends-jarabe += gconf-2.0 xkl-1.0 soup-2.4 webkit-3.0
+gir-depends-jarabe += gconf-2.0 xkl-1.0 soup-2.4 webkit2-4.0
 depends-jarabe = $(patsubst %,$(comma) python-%,$(python-depends-jarabe))
 depends-jarabe +=, $(patsubst %,$(comma) gir1.2-%,$(gir-depends-jarabe))
 depends-jarabe +=, metacity, policykit-1
 recommends-session = lsb-release, network-manager, modemmanager, ethtool
-recommends-session +=, upower, gvfs, tzdata, fonts-dejavu-core, dbus-x11
-recommends-session +=, mobile-broadband-provider-info
+recommends-session +=, upower, gvfs, tzdata, fonts-dejavu-core
+recommends-session +=, default-dbus-session-bus | dbus-session-bus | dbus-x11
+recommends-session +=, mobile-broadband-provider-info, telepathy-salut
 recommends-session +=, $(pkg-fructose)
 recommends-jarabe = python-carquinyol (>= $(pkgbranch))
 recommends-jarabe +=, dbus-x11, network-manager, modemmanager, gconf2
 recommends-jarabe +=, avahi-autoipd, openssh-client, xdg-user-dirs
-recommends-jarabe +=, consolekit | systemd
+recommends-jarabe +=, libpam-systemd | consolekit
 suggests-session = gdb, olpc-powerd
-suggests-toolkit = git, ipython, ttf-dejavu-extra
+suggests-toolkit = git, ipython, fonts-dejavu-extra
 suggests-fructose = python-elements, csound, gstreamer1.0-plugins-bad
 suggests-fructose +=, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
 suggests-fructose +=, python-gst0.10, gstreamer0.10-plugins-base
@@ -170,7 +165,5 @@
 CDBS_SUGGESTS_$(pkg-jarabe) = $(suggests-jarabe-only)
 CDBS_SUGGESTS_$(pkg-sucrose) = $(suggests-sucrose)
 
-CDBS_BREAKS_$(pkg-session) = sugar-emulator
-CDBS_BREAKS_$(pkg-jarabe) = sugar-emulator
-
 # Provide virtual sugar package to ease install
+# Provide virtual x-session-manager package to avoid pulling in gnome-session
