## sugar 0.112

=== debian/changelog ===
sugar (0.112-6) unstable; urgency=medium

  * Fix have sugar-session recommend telepathy-gabble (not only
    telepathy-salut).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Jun 2018 00:12:37 +0200

sugar (0.112-5) unstable; urgency=medium

  * Add debian/patches/upstream_0004-Port-from-NMClient-to-NM.Client.patch. By
    James Cameron.
  * And thus, declaring dependency on gir1.2-nm-1.0. Previous change (droping
    dependency on gir1.2-nmgtk-1.0) didn't properly fix the bug
    (Closes: #857230).
  * Update VCS URLs to match the repository in salsa.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Thu, 26 Apr 2018 09:44:54 +0200

sugar (0.112-4) unstable; urgency=medium

  * Stop depending on gir1.2-nmgtk-1.0 (Closes: #857230)
  * Stop build-depending on python-gtk2-dev (Closes: #885528)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 18 Apr 2018 18:32:50 +0200

sugar (0.112-3) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Add upstream_0001-jarabe-extensions-remove-GConf-compatibility.patch
    (Closes: #886040)
  * debian/control: remove Build-Depends on libgconf2-dev

  [ Jeremy Bicha ]
  * Drop more gconf dependencies
  * Run autoreconf so that patch works

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 17 Apr 2018 13:49:19 +0200

sugar (0.112-2) unstable; urgency=medium

  * Update package relations:
    + Have sugar-session recommend (not suggest) and sucrose depend on
      (not recommend) sugar-calculate-activity: No longer uses
      deprecated Glucose parts.
    + Have sucrose suggest (not recommend) deprecated Glucose parts
      python-sugar-toolkit python-sugar gtk2-engines-sugar.
      Closes: Bug#884993. Thanks to Jeremy Bicha.
  * Declare compliance with Debian Policy 4.1.3.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Jan 2018 12:54:59 +0100

sugar (0.112-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update git-buildpackage config:
    + Stop set debian-branch or compression.
  * Update copyright info:
    + Drop needless copyright signs.
    + Extend coverage for Main upstream authors and autotools.
  * Stop rename no longer included aym locale.
  * Update package relations:
    + Stop have python-jarabe depend on GIR binding soup-2.4.
  * Unfuzz patches.
  * Handle upstream releases without micro version.
  * Declare compliance with Debian Policy 4.1.1.
  * Fix rename locale ibo→ig: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Nov 2017 01:59:41 +0100

sugar (0.110.0-5) unstable; urgency=medium

  * Remove Luke Faraone as uploader. Thanks for your past contributions.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2017 18:39:08 +0200

sugar (0.110.0-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Use SPDX License shortnames FSFUL FSFULLR (and derived forms).
  * Tighten lintian overrides regarding License-Reference.
  * Update patches:
    + Tidy patch headers.
    + Advertise DEP-3 format in patch headers.
    + Drop patch unused and obsolete since 2008.
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
      Relax to build-depend unversioned on cdbs.
      Stop build-depend on licensecheck.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2017 17:50:26 +0200

sugar (0.110.0-3) unstable; urgency=medium

  * Fix have python-jarabe (not only sugar-session) depend on
    (default-)dbus-session-bus, with fallback on dbus-x11 to ease
    backporting.
    Really closes: Bug#836394. Thanks to Simon McVittie.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update watch file:
    + Bump file format to version 4.
    + Mention gbp in usage comment.
    + Use patterns.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Update copyright info: Extend coverage of Debian packaging.
  * Modernize Vcs-* fields:
    + Use git subdir.
    + Use https protocol for Vcs-Git.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Jan 2017 19:29:37 +0100

sugar (0.110.0-2) unstable; urgency=medium

  * Update package relations:
    + Relax to recommend/depend unversioned on python-carquinyol: Code
      virtually unchanged since 0.100.1.
    + Fix relax to suggest (not recommend) GStreamer 0.10 stuff.
    + Suggest/recommend gdb-minimal, favored over gdb.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2016 03:31:59 +0100
