=== debian/control ===
--- 
+++ 
@@ -3,25 +3,21 @@
 Priority: optional
 Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
- Luke Faraone <luke@faraone.cc>,
  Santiago Ruano Rincón <santiago@debian.org>
-Build-Depends: cdbs (>= 0.4.97~),
- licensecheck,
+Build-Depends: cdbs,
  python,
  python-dev (>= 2.3.5-7),
  debhelper,
  dh-buildinfo,
  libgtk-3-dev,
  libglib2.0-dev,
- python-gtk2-dev,
- libgconf2-dev,
  gettext,
  intltool,
  shared-mime-info,
  python-empy
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar.git
+Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar
 Homepage: http://wiki.sugarlabs.org/go/Sugar
 
 Package: sucrose
