=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2007-2010, 2012, 2015-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2007-2010, 2012, 2015-2018 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for sugar
 #
 # This program is free software; you can redistribute it and/or
@@ -22,13 +22,12 @@
 DEB_BUILDDIR = build
 DEB_PYTHON2_MODULE_PACKAGES = $(pkg-jarabe) $(pkg-session)
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 comma = ,
-pkgbranch = $(basename $(DEB_UPSTREAM_VERSION))
+pkgbranch = $(subst $(space),.,$(wordlist 1, 2,$(subst .,$(space),$(DEB_UPSTREAM_VERSION))))
 pkg-sucrose = sucrose
 
 # Adapt packaging in maintainer mode when targeting experimental branch:
@@ -44,16 +43,12 @@
 		debian/gbp.conf
 endif
 
-DEB_UPSTREAM_PACKAGE = $(DEB_SOURCE_PACKAGE)
-DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
-DEB_UPSTREAM_TARBALL_EXTENSION = tar.xz
-
 # Suppress unneeded auto-resolved build-dependency on python-dev
 #  * TODO: drop cdbs_python_binary fallback when cdbs 0.4.150 is stable
 CDBS_BUILD_DEPENDS_class_python-sugar_python = $(or $(cdbs_python2_defaultruntime),$(cdbs_python_binary))
 
 # Needed by upstream build process
-bdeps = libgtk-3-dev, libglib2.0-dev, python-gtk2-dev, libgconf2-dev
+bdeps = libgtk-3-dev, libglib2.0-dev
 bdeps +=, gettext, intltool, shared-mime-info
 
 # Needed for our packaging
@@ -65,14 +60,10 @@
 fructose += imageviewer jukebox turtleart
 # Core activities not in Debian main
 fructose-relax = etoys turtleart
-# Core activities using deprecated Glucose parts
-fructose-deprecate = calculate
 pkg-fructose = $(patsubst %,$(comma) sugar-%-activity,\
- $(filter-out $(fructose-relax) $(fructose-deprecate),$(fructose)))
+ $(filter-out $(fructose-relax),$(fructose)))
 pkg-fructose-relaxed = $(patsubst %,$(comma) sugar-%-activity,\
  $(fructose-relax))
-pkg-fructose-deprecated = $(patsubst %,$(comma) sugar-%-activity,\
- $(fructose-deprecate))
 
 # Needed (always/often/sometimes) at runtime
 #  * Glucose (at least current branch)
@@ -93,7 +84,6 @@
 #  * openssh-client (ssh-keygen) used in jarabe
 #  * olpc-powerd (/etc/powerd/flags) needed in extensions
 #  * gdb used in bin/sugar-launch
-#  * gconf2 (gsettings-data-convert) used in jarabe.main
 #  * gvfs needed for GIO removable media support
 #  * xdg-user-dirs (xdg-user-dir) used in jarabe
 #  * fonts-dejavu-core (Sans Serif) used in data/sugar.schemas
@@ -101,57 +91,58 @@
 #  * policykit-1 (pkexec) used in jarabe.model.brightness
 #  TODO: Tighten to recommend / depend on Maliit when mature
 #  TODO: Drop dbus-x11 fallback after stretch+1
+# Never needed at runtime (loaded only on OLPC distribution):
+#  * jarabe view.viewhelp_webkit1 (GIR soup-2.4 webkit-3.0)
 python-depends-session = sugar3 jarabe dbus cairo
-gir-depends-session = glib-2.0 gtk-3.0 pango-1.0 gconf-2.0 xkl-1.0
-gir-depends-session += nmgtk-1.0 gudev-1.0 upowerglib-1.0
+gir-depends-session = glib-2.0 gtk-3.0 pango-1.0 xkl-1.0
+gir-depends-session += gudev-1.0 upowerglib-1.0 nm-1.0
 depends-session = $(patsubst %,$(comma) python-%,$(python-depends-session))
 depends-session +=, $(patsubst %,$(comma) gir1.2-%,$(gir-depends-session))
 depends-session +=, sugar-themes (>= $(pkgbranch))
 python-depends-jarabe = sugar3 gwebsockets cairo dbus telepathy xapian
 gir-depends-jarabe = gdkpixbuf-2.0 glib-2.0 gtk-3.0 gtksource-3.0
 gir-depends-jarabe += gstreamer-1.0 wnck-3.0 sugarext-1.0 pango-1.0
-gir-depends-jarabe += gconf-2.0 xkl-1.0 soup-2.4 webkit2-4.0
+gir-depends-jarabe += xkl-1.0 webkit2-4.0
 depends-jarabe = $(patsubst %,$(comma) python-%,$(python-depends-jarabe))
 depends-jarabe +=, $(patsubst %,$(comma) gir1.2-%,$(gir-depends-jarabe))
 depends-jarabe +=, metacity, policykit-1
 recommends-session = lsb-release, network-manager, modemmanager, ethtool
 recommends-session +=, upower, gvfs, tzdata, fonts-dejavu-core
 recommends-session +=, default-dbus-session-bus | dbus-session-bus | dbus-x11
-recommends-session +=, mobile-broadband-provider-info, telepathy-salut
+recommends-session +=, mobile-broadband-provider-info, telepathy-gabble, telepathy-salut
 recommends-session +=, $(pkg-fructose)
-recommends-jarabe = python-carquinyol (>= $(pkgbranch))
-recommends-jarabe +=, dbus-x11, network-manager, modemmanager, gconf2
+recommends-jarabe = python-carquinyol
+recommends-jarabe +=, default-dbus-session-bus | dbus-session-bus | dbus-x11
+recommends-jarabe +=, network-manager, modemmanager
 recommends-jarabe +=, avahi-autoipd, openssh-client, xdg-user-dirs
 recommends-jarabe +=, libpam-systemd | consolekit
-suggests-session = gdb, olpc-powerd
+suggests-session = gdb-minimal | gdb, olpc-powerd
 suggests-toolkit = git, ipython, fonts-dejavu-extra
-suggests-fructose = python-elements, csound, gstreamer1.0-plugins-bad
-suggests-fructose +=, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
+suggests-activities = python-elements, csound, gstreamer1.0-plugins-bad
+suggests-activities +=, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
 suggests-fructose +=, python-gst0.10, gstreamer0.10-plugins-base
 suggests-fructose +=, gstreamer0.10-plugins-good
 suggests-session-weak = gir1.2-maliit-1.0, maliit-keyboard
 suggests-session-only = $(suggests-session-weak), $(pkg-sucrose)
 suggests-session-only +=, $(pkg-fructose-relaxed)
-suggests-session-only +=, $(pkg-fructose-deprecated)
 suggests-jarabe-only = $(pkg-session)
 
 # Tighten relations in Sucrose metapackage:
 #  * Depend on Glucose (at least current branch)
 #  * Depend on Fructose
 #  * Recommend non-Sugar helper parts
-#  * Recommend deprecated Glucose and Fructose parts
+#  * Suggest deprecated Glucose parts
 #  * Re-suggest weak parts (contrib/non-free/missing)
 depends-sucrose = $(pkg-session)
-depends-sucrose +=, python-carquinyol (>= $(pkgbranch))
+depends-sucrose +=, python-carquinyol
 depends-sucrose +=, $(pkg-fructose)
 recommends-sucrose = $(suggests-session), $(suggests-toolkit)
-recommends-sucrose +=, $(suggests-fructose)
-recommends-sucrose +=, python-sugar-toolkit
-recommends-sucrose +=, python-sugar
-recommends-sucrose +=, gtk2-engines-sugar (>= $(pkgbranch))
-recommends-sucrose +=, $(pkg-fructose-deprecated)
-suggests-sucrose = $(suggests-session-weak)
+recommends-sucrose +=, $(suggests-activities)
+suggests-sucrose = $(suggests-fructose), $(suggests-session-weak)
 suggests-sucrose +=, $(pkg-fructose-relaxed)
+suggests-sucrose +=, python-sugar-toolkit
+suggests-sucrose +=, python-sugar
+suggests-sucrose +=, gtk2-engines-sugar (>= $(pkgbranch))
 
 CDBS_BUILD_DEPENDS +=, $(bdeps)
 CDBS_DEPENDS_$(pkg-session) = $(depends-session)
@@ -167,3 +158,15 @@
 
 # Provide virtual sugar package to ease install
 # Provide virtual x-session-manager package to avoid pulling in gnome-session
+CDBS_PROVIDES_$(pkg-session) +=, sugar, x-session-manager
+
+# Provide virtual notification-daemon package
+CDBS_PROVIDES_$(pkg-jarabe) +=, notification-daemon
+
+DEB_PYTHON_PRIVATE_MODULES_DIRS = /usr/share/sugar
+
+# Fix favor ISO 639-1 when differing from ISO 639-2
+binary-post-install/$(pkg-session)::
+	mv debian/$(cdbs_curpkg)/usr/share/locale/ibo \
+		debian/$(cdbs_curpkg)/usr/share/locale/ig
+
