## sugar 0.112-4+8.0trisquel1

=== debian/changelog ===
sugar (0.112-4+8.0trisquel1) flidas; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Apr 2018 14:26:43 +0000
